Bug 2081862 - CVE-2022-28487 tcpreplay: memory leak in fix_ipv6_checksums() function [epel-all]
Summary: CVE-2022-28487 tcpreplay: memory leak in fix_ipv6_checksums() function [epel-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tcpreplay
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Bojan Smojver
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-28487
TreeView+ depends on / blocked
 
Reported: 2022-05-04 21:26 UTC by Todd Cullum
Modified: 2022-09-12 17:41 UTC (History)
1 user (show)

Fixed In Version: tcpreplay-4.4.2-1.el8 tcpreplay-4.4.2-1.el9 tcpreplay-4.4.2-1.fc36 tcpreplay-4.4.2-1.fc35 tcpreplay-4.4.2-1.el7 tcpreplay-4.4.2-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-04 22:13:43 UTC
Type: ---


Attachments (Terms of Use)

Description Todd Cullum 2022-05-04 21:26:45 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Todd Cullum 2022-05-04 21:26:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2081860,2081862

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-08-27 03:41:34 UTC
FEDORA-EPEL-2022-cf9b662b60 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-cf9b662b60

Comment 3 Fedora Update System 2022-08-27 03:41:46 UTC
FEDORA-2022-d31a521866 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d31a521866

Comment 4 Fedora Update System 2022-08-27 03:42:00 UTC
FEDORA-2022-680ea95f71 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-680ea95f71

Comment 5 Fedora Update System 2022-08-27 03:42:12 UTC
FEDORA-2022-47484afa15 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-47484afa15

Comment 6 Fedora Update System 2022-08-27 03:42:24 UTC
FEDORA-EPEL-2022-e8156314ff has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e8156314ff

Comment 7 Fedora Update System 2022-08-27 03:42:36 UTC
FEDORA-EPEL-2022-00b4829e45 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-00b4829e45

Comment 8 Fedora Update System 2022-08-27 17:07:58 UTC
FEDORA-2022-d31a521866 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d31a521866`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d31a521866

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-08-27 21:02:16 UTC
FEDORA-2022-47484afa15 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-47484afa15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-47484afa15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-08-27 21:04:06 UTC
FEDORA-EPEL-2022-e8156314ff has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-e8156314ff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-08-27 21:15:01 UTC
FEDORA-EPEL-2022-00b4829e45 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-00b4829e45

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-08-27 21:16:40 UTC
FEDORA-EPEL-2022-cf9b662b60 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-cf9b662b60

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-08-27 21:36:12 UTC
FEDORA-2022-680ea95f71 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-680ea95f71`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-680ea95f71

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-09-04 22:13:43 UTC
FEDORA-EPEL-2022-00b4829e45 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-09-04 22:36:26 UTC
FEDORA-EPEL-2022-e8156314ff has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-09-04 22:46:20 UTC
FEDORA-2022-47484afa15 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-09-04 22:56:58 UTC
FEDORA-2022-680ea95f71 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2022-09-04 23:12:34 UTC
FEDORA-EPEL-2022-cf9b662b60 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2022-09-12 17:41:08 UTC
FEDORA-2022-d31a521866 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.